import { jsx } from "react/jsx-runtime";
import { EarSlashIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const EarSlash = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "EarSlash", ...props, children: /* @__PURE__ */ jsx(EarSlashIcon, { weight: variant }) });
  }
);
EarSlash.displayName = "EarSlash";
Object.assign(EarSlash, { isGdsIcon: true });
export {
  EarSlash
};
